rpms/kcbench/devel kcbench,1.3,1.4 kcbench.spec,1.2,1.3

Thorsten Leemhuis (thl) fedora-extras-commits at redhat.com
Thu Jan 10 18:07:51 UTC 2008


Author: thl

Update of /cvs/pkgs/rpms/kcbench/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv4491

Modified Files:
	kcbench kcbench.spec 
Log Message:
* Thu Jan 10 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.3-1
- update kcbench to 0.3:
-- fix typo
-- improve some comments



Index: kcbench
===================================================================
RCS file: /cvs/pkgs/rpms/kcbench/devel/kcbench,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- kcbench	3 Dec 2007 15:37:30 -0000	1.3
+++ kcbench	10 Jan 2008 18:07:13 -0000	1.4
@@ -25,7 +25,7 @@
 
 # this is me
 myprog_name=kcbench
-myprog_version=0.2
+myprog_version=0.3
 
 # set some defaults -- called before cmdoptions are parsed
 kcbench_init ()
@@ -45,7 +45,7 @@
 	# might be modified
 	default_sources_dir="/usr/share/kcbench-data/"
 
-	# optional: retrieve settings from file
+	# retrieve settings from file
 	if [[ -e "${HOME}/.kcbench" ]]; then
 		source "${HOME}/.kcbench"
 	fi
@@ -56,7 +56,6 @@
 kcbench_startupchecks()
 {
 	# check for tools we need
-	# thinkaboutme: there are likely more needed
 	for tool in make gcc ld awk /usr/bin/time; do
 		if ! which ${tool} &> /dev/null ; then
 			echo "Could not find ${tool}"
@@ -87,14 +86,14 @@
 				dir_sources="${compile_srctree}"
 			fi
 		elif [[ -e "${default_sources_dir}/linux-${compile_srctree}/include/linux/kernel.h" ]]; then
-			# user meant one of our trees by just giving version number
+			# user meant a tree prepared for kcbench by just giving version number
 			dir_sources="${default_sources_dir%%/}/linux-${compile_srctree%%/}/"
 		else
 			echo "Could neither find directory ${compile_srctree} nor ${default_sources_dir%%/}/linux-${compile_srctree%%/}/" >&2
 			exit 2
 		fi
 	else
-		# we are own our own
+		# we need to decide own our own
 
 		# without our std-dir it doesn't make sense to continue
 		if [[ ! -d "${default_sources_dir}" ]]; then
@@ -111,7 +110,8 @@
 	fi
 
 
-	# on testsystems the date often is set incorectly, thus check it to prevent misscompiles
+	# on testsystems the date sometimes is set incorectly
+	# check date prevent misscompiles
 	if (( $(date -r "${dir_sources}/Makefile" "+%s") > $(date "+%s") )); then
 		echo "Makefile is younger then current date; please set your system time properly." >&2
 		exit 2
@@ -131,7 +131,7 @@
 			dir_topoutput="${PWD}/${dir_topoutput}"
 		fi
 
-		# if our dir in dir_topoutput exist already just use it
+		# if the kcbench dir exists in dir_topoutput already just use it
 		if [[ -d "${dir_topoutput%%/}/${myprog_name}" ]]; then
 			readonly dir_outputtmp="${dir_topoutput%%/}/${myprog_name}"
 		else
@@ -142,20 +142,21 @@
 		readonly dir_outputtmp=$(mktemp -d -t ${myprog_name}.XXXXXXXXX)
 	fi
 
-	# did dir get created?
+	# was dir created?
 	local returncode=$?
 	if (( "${returncode}" > 0 )) || [[ ! -d "${dir_outputtmp}" ]]; then
 		echo "Could not create temporary output directory" >&2 
 		exit 2
 	fi
 
+	# save logfiles somewhere?
 	if [[ "${savefailedlogs}" ]] && [[ ! -d "${savefailedlogs}" ]] ; then
 		echo "Could not find ${savefailedlogs}." >&2 
 		exit 2
 	fi
 
 
-	# how many jobs?
+	# how many jobs to use?
 	if [[ ! "${number_of_jobs}" ]]; then
 		# use default
 		number_of_jobs=${default_number_of_jobs}
@@ -193,7 +194,7 @@
 	touch "${kcbench_logfile}"
 
 
-	# disable sceensaver (should we reset this? how?)
+	# disable sceensaver (should we reset this once we finished? how?)
 	setterm -blank 0
 }
 
@@ -350,7 +351,7 @@
 			echo "  Context switches voluntarily (w): ${tm_waits}"
 		fi
 	else
-		if [[ "${show_result_from_cache_free_runn}" ]]; then
+		if [[ "${show_result_from_cache_free_run}" ]]; then
 			kcbench_echo 1 2 "Done (-j ${default_number_of_jobs}, e: ${tm_elapsed_s})"
 		else
 			kcbench_echo 1 2 "Done"


Index: kcbench.spec
===================================================================
RCS file: /cvs/pkgs/rpms/kcbench/devel/kcbench.spec,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- kcbench.spec	3 Dec 2007 15:37:31 -0000	1.2
+++ kcbench.spec	10 Jan 2008 18:07:13 -0000	1.3
@@ -1,5 +1,5 @@
 Name:           kcbench
-Version:        0.2
+Version:        0.3
 Release:        1.1
 Summary:        Kernel compile benchmark
 
@@ -54,7 +54,12 @@
 
 
 %changelog
-* Mon Dec 03 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.2-2
+* Thu Jan 10 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.3-1
+- update kcbench to 0.3:
+-- fix typo
+-- improve some comments
+
+* Mon Dec 03 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.2-1
 - update to 0.2, which includes a ChangeLog and a manpage now
 
 * Sat Oct 13 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]org> - 0.1-2




More information about the fedora-extras-commits mailing list